#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PadWalker
Summary:	PadWalker - play with other peoples' lexical variables
Summary(pl.UTF-8):	PadWalker - igranie z cudzymi zmiennymi leksykalnymi
Name:		perl-PadWalker
Version:	1.96
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	947686c045a636d507a7b4c4a1741dd3
URL:		http://search.cpan.org/dist/PadWalker/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PadWalker is a Perl module which allows you to inspect (and even
change!) lexical variables in any subroutine which called you. It will
only show those variables which are in scope at the point of the call.

%description -l pl.UTF-8
PadWalker jest modułem Perla umożliwiającym przeglądanie (a nawet
modyfikacje!) zmiennych leksykalnych w dowolnej wywołanej funkcji.
Pokazuje on tylko te zmienne, których zasięg obejmuje miejsce
wywołania.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-PadWalker.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9a58b27
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a3b24ee
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c4cce90
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> c6ad18c
- up to 1.96

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> fa347ac
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 84aea16
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 2f42c7b
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c7b1fd9
- release 2

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> 4fc1ea5
- updated to 1.9

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 18ea944
- release 3

* Sun Mar 02 2008 radek <radek@pld-linux.org> 76dd50b
- release 2

* Sun Feb 17 2008 radek <radek@pld-linux.org> 4485ec8
- version 1.7

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 81e33a9
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> b86dc3d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> bdf0034
- generic URL

* Sun Jun 03 2007 Maciej Pijanka <agaran@pld-linux.org> 3ed360a
- up to 1.5, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 59771cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc88c8a
- converted to UTF-8

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 51d42a5
- ver. 1.1

* Wed Nov 02 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 548fdde
- updated to 0.13

